Create a new Custom Access List associated with a Shield Zone
curl --request POST \
--url https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": "<string>",
"description": "<string>",
"checksum": "<string>"
}
'import requests
url = "https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists"
payload = {
"name": "<string>",
"content": "<string>",
"description": "<string>",
"checksum": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: '<string>',
description: '<string>',
checksum: '<string>'
})
};
fetch('https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"name": "<string>",
"description": "<string>",
"content": "<string>",
"checksum": "<string>",
"entryCount": 123,
"lastModified": "2023-11-07T05:31:56Z"
},
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
}
}{
"data": {
"id": 123,
"name": "<string>",
"description": "<string>",
"content": "<string>",
"checksum": "<string>",
"entryCount": 123,
"lastModified": "2023-11-07T05:31:56Z"
},
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
}
}{
"data": {
"id": 123,
"name": "<string>",
"description": "<string>",
"content": "<string>",
"checksum": "<string>",
"entryCount": 123,
"lastModified": "2023-11-07T05:31:56Z"
},
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Access Lists
Create a new Custom Access List associated with a Shield Zone
POST
/
shield
/
shield-zone
/
{shieldZoneId}
/
access-lists
Create a new Custom Access List associated with a Shield Zone
Path Parameters
The ID of the Shield Zone to which the Custom Access List will be associated.
Body
application/jsontext/jsonapplication/*+json
Request model for creating a new custom access list.
The display name for the new access list.
0 = IP 1 = CIDR 2 = ASN 3 = Country 4 = Organization 5 = JA4
Available options:
0, 1, 2, 3, 4, 5 The initial content for the access list with entries separated by newlines.
Optional description of the access list's purpose or contents.
SHA-256 checksum of the content for integrity verification. If null, it will be automatically calculated.
Last modified on June 26, 2026
Was this page helpful?
⌘I